info:
  name: Lookup By Period
  type: http
  seq: 2

http:
  method: GET
  url: "{{elixFormsApiUrl_Default}}/request/lookup/by-period?dateFrom=2025-11-21&dateTo=2026-05-07&requestStatus=PROCESSED"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
    - name: X-API-Username
      value: "{{elixFormsApiUsername}}"
  params:
    - name: username
      value: "{{elixFormsApiUsername}}"
      type: query
      disabled: true
    - name: dateFrom
      value: 2025-11-21
      type: query
    - name: dateTo
      value: 2026-05-07
      type: query
    - name: requestStatus
      value: PROCESSED
      type: query
    - name: moduleTag
      value: GESTIONE_SITI_WEB_NUOVO_SITO
      type: query
      disabled: true
    - name: moduleTag
      value: PROPOSTA_CCT_OPERATORE
      type: query
      disabled: true
    - name: swfOptionKey
      value: "1"
      type: query
      disabled: true
    - name: swfOptionMode
      value: IN
      type: query
      disabled: true
  body:
    type: form-urlencoded
    data:
      - name: username
        value: "{{elixFormsApiUsername}}"
        disabled: true
      - name: requestStatus
        value: IN_PROGRESS
        description: |-
          Valori possibili:
          - IN_PROGRESS
          - SUBMITTED
          - PROCESSED

          possibile selezionare valori multipli
        disabled: true
      - name: moduleTag
        value: PROPOSTA_CCT_OPERATORE
        disabled: true
      - name: moduleTag
        value: PROPOSTA_CCT_DOCENTE
        description: |-
          Per restringere il risultato alle sole richieste del/i modulo/i aventi tag specificato

          Possibile selezionare valori multipli
        disabled: true
      - name: swfOptionKey
        value: "1"
        disabled: true
      - name: swfOptionMode
        value: IN
        description: |
          può avere valore "IN" o "NOT IN". Se utilizzato "IN" vengono restituite tutte le request che hanno gli "swfOptionKey"
          dichiarati. Se utilizzato "NOT IN" vengono restituite tutte le request che non hanno gli "swfOptionKey" dichiarati. Se non dichiarato di default
          viene utilizzato "IN"
        disabled: true
      - name: dateFrom
        value: 2025-01-01
        disabled: true
      - name: dateTo
        value: 2025-05-31
        disabled: true
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Lookup By Status - Bad Request
    request:
      url: "{{elixFormsApiUrl_Default}}/request/lookup/by-period"
      method: GET
      body:
        type: form-urlencoded
        data:
          - name: username
            value: "{{elixFormsApiUsername}}"
          - name: requestStatus
            value: IN_PROGRESS
            description: |-
              Valori possibili:
              - IN_PROGRESS
              - SUBMITTED
              - PROCESSED

              possibile selezionare valori multipli
            disabled: true
          - name: moduleTag
            value: PROPOSTA_CCT_OPERATORE
            disabled: true
          - name: moduleTag
            value: PROPOSTA_CCT_DOCENTE
            description: |-
              Per restringere il risultato alle sole richieste del/i modulo/i aventi tag specificato

              Possibile selezionare valori multipli
          - name: swfOptionKey
            value: "1"
            disabled: true
          - name: swfOptionMode
            value: IN
            description: |
              può avere valore "IN" o "NOT IN". Se utilizzato "IN" vengono restituite tutte le request che hanno gli "swfOptionKey"
              dichiarati. Se utilizzato "NOT IN" vengono restituite tutte le request che non hanno gli "swfOptionKey" dichiarati. Se non dichiarato di default
              viene utilizzato "IN"
            disabled: true
          - name: dateFrom
            value: 2025-01-01
          - name: dateTo
            value: 2025-05-31
    response:
      statusText: "400"
      headers:
        - name: date
          value: Mon, 05 May 2025 09:34:11 GMT
        - name: content-length
          value: "0"
        - name: strict-transport-security
          value: max-age=63072000;includeSubDomains
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: 1;mode=block
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
      body:
        type: text
        data: ""
